# Contributing to WordHat

## Communication standards
*Communication is oxygen*. Talk with us on [Github](https://github.com/paulgibbs/behat-wordpress-extension), or on our [Slack](https://wordhat.herokuapp.com) chat room.

*Ask, don't assume*. This project only accepts pull requests related to open issues. If you are proposing a new feature or change, please discuss it in an issue first.


## Technicial standards
 * [PSR-1: Basic Coding Standard](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-1-basic-coding-standard.md).
 * [PSR-2: Coding Style Guide](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md).
 * [PSR-4: Autoloading Standard](https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-4-autoloader.md).
 * Delimit variable and property names by underscore.
 * Only typehint callable, classes, and objects.
 * Prefer short syntax `[ ]` for single-line arrays, and the traditional syntax for multi-line arrays.
 * For code files, keep maximumum line lengths to around ~120 characters.
 * The website documentation is to be written in British English (en-GB).

You can do some things to increase the chance that a change request or pull request is accepted the first time:

 * Run `composer commit` to fix code standard errors.
 * Submit one pull request per fix or feature.
 * If your changes are not up to date -- rebase your branch on the parent branch.
 * Follow the conventions used in the project.
 * Remember about documentation.
 * Do not bump the version number.
